use rsrt::{cover, out};
use tracing_subscriber::{layer::SubscriberExt, util::SubscriberInitExt};

fn main() {
	const WIDTH: usize = 1920;
	const HEIGHT: usize = 1080;

	tracing_subscriber::registry()
		.with(tracing_subscriber::fmt::layer())
		.with(tracing_subscriber::EnvFilter::from_default_env())
		.init();

	let image = cover(WIDTH, HEIGHT, 500).render();

	out::write_image("./image.png", &image[..], WIDTH as u32, HEIGHT as u32).unwrap();
}
